HELP2MAN(1)

NAMN
help2man - generera en enkel manualsida

SYNOPSIS
help2man [FLAGGA]... KÖRBAR FIL

BESKRIVNING
”help2man” genererar en manualsida av utdata från ”--help” och ”--version”.

-n, --name=STRÄNG
    beskrivning av NAMN-paragrafen

-s, --section=SEKTION
    sektionsnummer för manualsida (1, 6, 8)

-m, --manual=TEXT
    namn på manual (Användarkommandon, ...)

-S, --source=TEXT
    programkälla (FSF, Debian, ...)

-L, --locale=STRÄNG
    välj lokal (standardvärde ”C”)

-i, --include=FIL
    inkludera material från ”FIL”

-I, --opt-include=FIL
    inkludera material från ”FIL” om den existerar

-o, --output=FIL
    skicka utdata till ”FIL”

-p, --info-page=TEXT
    namn på Texinfo-manual

-N, --no-info
    tysta ned pekare till Texinfo-manual

-l, --libtool
    exkludera ”lt-” från programnamnet

--help
    skriv ut den här hjälpen, avsluta sedan

--version
    skriv ut versionsnummer, avsluta sedan

KÖRBAR FIL bör acceptera flaggorna ”--help” och ”--version” även om alternativ kan anges med:

-h, --help-option=STRÄNG
    sträng för hjälpflagga

-v, --version-option=STRÄNG
    sträng för versionsflagga

--version-string=STRÄNG
    versionssträng

--no-discard-stderr
    inkludera stderr vid tolkning av flaggutdata

INKLUDERA FILER
Ytterligare material kan inkluderas i den genererade utskriften med flaggorna --include och --opt-include Formatet är enkelt:
    [sektion]
    text
    /mönster/
    text Block av *roff-text infogas ord för ord i utskriften antingen vid början av angiven [section] (okänslig för skiftläge), eller efter en paragraf som matchar /mönster/. Mönster använder Perls syntax för reguljära uttryck och kan efterföljas av modifierarna i, s eller m (se perlre(1)). Rader före den första sektionen eller mönstret som börjar med ”-” behandlas som flaggor. Allt annat ignoreras tyst och kan användas för kommentarer, RCS-nyckelord och liknande. Utskriftsordningen för sektionerna (av som inkluderats) är:
    NAMN
    SYNOPSIS
    BESKRIVNING
    FLAGGOR
    övrigt
    MILJÖ
    FILER
    EXEMPEL
    UPPHOVSMAN
    RAPPORTERA FEL
    COPYRIGHT
    SE OCKSÅ Alla [namn] eller [synopsis] avsnitt som förekommer i inkluderingsfilen kommer att ersätta vad som automatiskt skulle bli producerat (även om du fortfarande kan åsidosätta de senare med --name om det krävs). Andra sektioner läggs till i början av den automatiskt producerade utskriften för standardsektionerna angivna ovan, eller inkluderas vid övrigt (ovan) i den ordning de påträffades i inkluderingsfilen. Placering av text inom sektionen kan uttryckligen begäras genom att använda syntaxen [<sektion], [=sektion] eller [>sektion] för att placera ytterligare text innan, istället för eller efter standardutmatningen, respektive.

TILLGÄNGLIGHET
Senaste versionen av den här utgåvan finns tillgänglig online från:
    ftp://ftp.gnu.org/gnu/help2man/

UPPHOVSMAN
Skrivet av Brendan O'Dea <bod@debian.org>

RAPPORTERA FEL
Rapportera fel till <bug-help2man@gnu.org>.
Skicka synpunkter på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2020, 2021 Free Software Foundation, Inc.
Det här är fri programvara; se källkoden för kopieringsvillkor. Det finns INGEN garanti; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR SPECIELLT ÄNDAMÅL.

SE OCKSÅ
Den fullständiga dokumentationen för help2man underhålls som en Texinfo-manual. Om info och help2man programmen är ordentligt installerade på ditt system, bör kommandot

    info help2man

ge dig tillgång till den kompletta manualen.